<template>
  <div>
     <main>

        <span class="title">
          Welcome MySubComponentA.
        </span>

        <br>
          <span class="right" v-show="msgA">{{msgA}}</span>
        <br>
          <span v-show="msgB">B: {{msgB}}</span>
        <br>
        <button @click="setMsgA('Hi B')">Hi B</button>
    </main>
  </div>
</template>

<script>

// import mapState มาก่อน
import { mapState, mapGetters, mapActions, mapMutations}  from 'vuex'

  export default {
    computed:{
      ...mapGetters(['msgA', 'msgB'])
    },
    methods:{
      ...mapMutations(['setMsgA'])
    }
  }
</script>

<style>
  .right{
    float: right
  }
</style>
